NOV
3
2003

Announcing KDE 3.2 Beta 1 "Rudi"

With the new year fast approaching, beta testing of the upcoming KDE 3.2 release has begun. The KDE Project is excited to announce the immediate availability of "Rudi", the first beta version of KDE 3.2. Sharing its name with the Kastle conference's host coordinator, Rudi represents the culmination of the KDE Project's efforts to date.

As no further features will be added between the release of Rudi and KDE 3.2, this is an excellent opportunity to preview the most advanced and powerful KDE yet. Packages may be downloaded from download.kde.org. As of this writing there are sources and binaries for SuSE and Conectiva, but other distributions will follow. The Konstruct build toolkit was updated.

With its 25 page feature plan, nearly 10,000 bugs closed and over 2,000 user wishes processed a complete report on what one can expect from Rudi would be so long that by the time you finished reading it, there would probably be a more current KDE release to try out. The only way to truly appreciate this release is to experience it first hand, but here are a few of the highlights anyways...

Read on in the full announcement.

Comments

I noticed the same thing, it worked a few weeks ago.
I suspect a khtml change, will look into it...
Cheers,

Rob.


By Rob Buis at Thu, 2003/11/06 - 6:00am

Okay, maybe I'm just clueless, but is there an obvious way to slide the panel icons around? We used to simply middle-button click on an icon, and it'd
slide back and forth.. never more, with 3.2b1. Is there a hotkey work
around perhaps?

kde3.2b1 rocks - other than this!

edfardos


By edfardos at Wed, 2003/11/05 - 6:00am

I've been right-clicking and selecting "Move" recently, but I'd appreciate having the middle-click drag back as well.


By Vic at Thu, 2003/11/06 - 6:00am

Middle mouse button on panel to move items is still there. It seems that a running khotkeys makes the middle mouse button stop working (http://bugs.kde.org/show_bug.cgi?id=67376).


By Anonymous at Thu, 2003/11/06 - 6:00am

It's not khotkeys by itself, but rather its mouse gesture support, which can
be turned off (-> "gesture settings"). MMB grabbing also breaks Blender
navigation.


By Melchior FRANZ at Sat, 2003/11/08 - 6:00am

I just got this error while building from konstruct, make -C meta/kde install:

/usr/bin/ld: cannot find -lreadline
collect2: ld returned 1 exit status
make[6]: *** [kpilot] Error 1
make[6]: Leaving directory `/home/Amit/sources/konstruct/kde/kdepim/work/kdepim-3.1.93/kpilot/kpilot'


By Amit Shah at Thu, 2003/11/06 - 6:00am

Check that you have the "readline" and "readline-devel" packages of your distribution installed.


By Anonymous at Thu, 2003/11/06 - 6:00am

It was due to missing the -dev package of readline. Wonder why that was needed. Thanks anyways.


By Amit Shah at Thu, 2003/11/06 - 6:00am

k, solved. It needed libreadline4-dev too. (btw, I'm using Debian sid.) Don't know why the -dev package too needs to be installed.


By Amit Shah at Thu, 2003/11/06 - 6:00am

on features and applications I'd say KDE is now equal to Win98/ME (and as a GUI about as stable luckily it runs on some damn stable OSes (bsd/linux/unix).

So hopefully kde desktops will soon have the market share of those legacy applications/platforms ... XP and Longhorn can occupy a small chunk of the market (20-25%) and MacOS/X 15-20 but the rest - the bulk of everything - will be all Linux/BSD :-D

Of course - and some noted it here - multi-media on Unix sux horribly. It would be nice if MAS (network media server like X) or gstreamer (only using dbus and not corba) could provide cross platform and cross desktop framework for supporting MM ... sort of like how CUPS works for printing.


By More-OSX_KDE_In... at Thu, 2003/11/06 - 6:00am

On applications, maybe, but in terms of features, its definately got an edge over even WinXP. XP can't *hope* to do some of the stuff KDE can do. And don't get me started on the API! The polish level needs work though (and I say this as a KDE user).

And exactly why does multimedia on UNIX suck?


By Rayiner H. at Thu, 2003/11/06 - 6:00am

I agree. A common, cross-platform/cross-desktop framework for multimedia is where linux is SEVERELY lacking.

There is alot of discussion about this over on gnomedesktop. I suppose the hope is that GStreamer/MAS become the common standard. I hope both the GNOME & KDE people can agree on something soon!!!


By The Guru at Fri, 2003/11/07 - 6:00am

Hello!
Would very much like to try out 3.2 beta...
I am probaly just missing some package because when trying to install I get the following output:
Thanks for any help!
linux:# rpm -Fvh *rpm
Fehler: fehlgeschlagene Paket-Abhängigkeiten:
libkateinterfaces.so.0 wird von kdeaddons3-kate-3.1.93-0 gebraucht
libkateutils.so.0 wird von kdeaddons3-kate-3.1.93-0 gebraucht
libkonqsidebarplugin.so.1 wird von kdeaddons3-konqueror-3.1.93-0 gebraucht
libartsbuilder.so.0 wird von kdeaddons3-sound-3.1.93-0 gebraucht
libartsgui.so.0 wird von kdeaddons3-sound-3.1.93-0 gebraucht
libartsgui_idl.so.0 wird von kdeaddons3-sound-3.1.93-0 gebraucht
libartsgui_kde.so.0 wird von kdeaddons3-sound-3.1.93-0 gebraucht
libartsmidi_idl.so.0 wird von kdeaddons3-sound-3.1.93-0 gebraucht
libartsmodules.so.0 wird von kdeaddons3-sound-3.1.93-0 gebraucht
libartsmodulescommon.so.0 wird von kdeaddons3-sound-3.1.93-0 gebraucht
libartsmoduleseffects.so.0 wird von kdeaddons3-sound-3.1.93-0 gebraucht
libartsmodulesmixers.so.0 wird von kdeaddons3-sound-3.1.93-0 gebraucht
libartsmodulessynth.so.0 wird von kdeaddons3-sound-3.1.93-0 gebraucht
kdebase3 = 3.1.93 wird von kdebase3-devel-3.1.93-0 gebraucht
libfribidi.so.0 wird von kdegraphics3-3.1.93-0 gebraucht
libexif.so.9 wird von kdegraphics3-kamera-3.1.93-0 gebraucht
libartsbuilder.so.0 wird von kdemultimedia3-video-3.1.93-0 gebraucht
libartsgui.so.0 wird von kdemultimedia3-video-3.1.93-0 gebraucht
libartsgui_idl.so.0 wird von kdemultimedia3-video-3.1.93-0 gebraucht
libartsgui_kde.so.0 wird von kdemultimedia3-video-3.1.93-0 gebraucht
libartsmidi_idl.so.0 wird von kdemultimedia3-video-3.1.93-0 gebraucht
libartsmodules.so.0 wird von kdemultimedia3-video-3.1.93-0 gebraucht
libartsmodulescommon.so.0 wird von kdemultimedia3-video-3.1.93-0 gebraucht
libartsmoduleseffects.so.0 wird von kdemultimedia3-video-3.1.93-0 gebraucht
libartsmodulesmixers.so.0 wird von kdemultimedia3-video-3.1.93-0 gebraucht
libartsmodulessynth.so.0 wird von kdemultimedia3-video-3.1.93-0 gebraucht
libkdeinit_noatun.so wird von kdemultimedia3-video-3.1.93-0 gebraucht
libgnokii.so wird von kdepim3-3.1.93-0 gebraucht
libvcard.so.0 wird von quanta-3.1-112 gebraucht
libvcard.so.0 wird von kdebase3-3.1.1-63 gebraucht


By spackenmann at Thu, 2003/11/06 - 6:00am

> I am probaly just missing some package because when trying to install I get the following output:

Exactly, and it's not even hard to guess those with output like

> kdebase3 = 3.1.93 wird von kdebase3-devel-3.1.93-0 gebraucht


By Anonymous at Thu, 2003/11/06 - 6:00am

Thanks very much! I in need didnt have that package. But unluckily I still cant install.
This time the missing package isn't so easy to spot (for me...) :-/. Where can I find information when I want to learn more about this kind of problems?

linux: # rpm -Fvh *rpm
Fehler: fehlgeschlagene Paket-Abhängigkeiten:
libartsbuilder.so.0 wird von kdeaddons3-sound-3.1.93-0 gebraucht
libartsgui.so.0 wird von kdeaddons3-sound-3.1.93-0 gebraucht
libartsgui_idl.so.0 wird von kdeaddons3-sound-3.1.93-0 gebraucht
libartsgui_kde.so.0 wird von kdeaddons3-sound-3.1.93-0 gebraucht
libartsmidi_idl.so.0 wird von kdeaddons3-sound-3.1.93-0 gebraucht
libartsmodules.so.0 wird von kdeaddons3-sound-3.1.93-0 gebraucht
libartsmodulescommon.so.0 wird von kdeaddons3-sound-3.1.93-0 gebraucht
libartsmoduleseffects.so.0 wird von kdeaddons3-sound-3.1.93-0 gebraucht
libartsmodulesmixers.so.0 wird von kdeaddons3-sound-3.1.93-0 gebraucht
libartsmodulessynth.so.0 wird von kdeaddons3-sound-3.1.93-0 gebraucht
libfribidi.so.0 wird von kdegraphics3-3.1.93-0 gebraucht
libexif.so.9 wird von kdegraphics3-kamera-3.1.93-0 gebraucht
libartsbuilder.so.0 wird von kdemultimedia3-video-3.1.93-0 gebraucht
libartsgui.so.0 wird von kdemultimedia3-video-3.1.93-0 gebraucht
libartsgui_idl.so.0 wird von kdemultimedia3-video-3.1.93-0 gebraucht
libartsgui_kde.so.0 wird von kdemultimedia3-video-3.1.93-0 gebraucht
libartsmidi_idl.so.0 wird von kdemultimedia3-video-3.1.93-0 gebraucht
libartsmodules.so.0 wird von kdemultimedia3-video-3.1.93-0 gebraucht
libartsmodulescommon.so.0 wird von kdemultimedia3-video-3.1.93-0 gebraucht
libartsmoduleseffects.so.0 wird von kdemultimedia3-video-3.1.93-0 gebraucht
libartsmodulesmixers.so.0 wird von kdemultimedia3-video-3.1.93-0 gebraucht
libartsmodulessynth.so.0 wird von kdemultimedia3-video-3.1.93-0 gebraucht
libkdeinit_noatun.so wird von kdemultimedia3-video-3.1.93-0 gebraucht
libgnokii.so wird von kdepim3-3.1.93-0 gebraucht
libvcard.so.0 wird von quanta-3.1-112 gebraucht


By spackenmann at Thu, 2003/11/06 - 6:00am

I guess they are not surprisingly called libvcard, libgnooki, libexif, libfribidi and, what's causing the most entries, kdemultimedia.


By Anonymous at Thu, 2003/11/06 - 6:00am

Will KDe be translated to niederdeutsch (iso-code nds)?


By gerd at Thu, 2003/11/06 - 6:00am

No, it's not listed on http://i18n.kde.org/teams/ , but this shouldn't stop anyone from starting such a translation and letting it include in KDE when it has proven to be well maintained.


By Datschge at Fri, 2003/11/07 - 6:00am

What an incredible release! KDE 3.1 had become my desktop of choice after cycling through pretty much every other DE/WM out there. 3.2beta is so much better:
- It's faster - more responsive generally, konqueror renders faster
- It's easier to use - my few annoyances with 3.1 (mostly fitt's law violations) are gone
- The new mac os style child-panel menu is great - it would be nice if it was clearer how to create one, though
- it looks better - the UI has been tidied up all over the place. Even KMix is improved!
- integrated apps greatly improved - juk and kontact are useful, kate is better than before. The new address book looks great


By Ben Roe at Fri, 2003/11/07 - 6:00am

> it would be nice if it was clearer how to create one, though

Indeed.. a lot of people are pretty confused about this particular feature. Perhaps it should prompt the user to create an empty panel with this applet if it is selected in kcontrol.


By anon at Fri, 2003/11/07 - 6:00am

Yes, it's wohoo faster on my laptop. :)
Many good improvments on GUI here and there.
And I love the new open and save dialog too. More options and great icons.


By JC at Fri, 2003/11/07 - 6:00am

C'mon people... When are we going to see a common sound server that is used for both KDE and GNOME?

This ESD/Artsd mess is really painful for both users and developers. Is there any chance of KDE adopting the GStreamer framework for KDE 3.4 or KDE4??

Also, a potentially good sound server could be MAS. C'mon folks, we need a common sound/multimedia subsystem for our desktops. It matters not if you are a KDE or a Gnome person. A common multimedia framework will only benefit both desktops!

PLEASE!!!!! =)


By The Guru at Fri, 2003/11/07 - 6:00am

A common sound server is needed and I heard that there were plans to replace arts anyway.


By Alex at Fri, 2003/11/07 - 6:00am

> Is there any chance of KDE adopting the GStreamer framework for KDE 3.4

No chance in hell:

1. There probably won't be a KDE 3.4.. the next version of KDE will probably be KDE 3.3 followed by KDE 4.0.
2. We can't possibly change away from arts until KDE 4.0, for compatability reasons.
3. It probably won't be gstreamer that we switch to. Not only is it immature, but it basically has the similiar problems that arts does for KDE (uses glib, so kde developers can't hack on it much)


By anon at Fri, 2003/11/07 - 6:00am

GNOME is always GNOME;KDE is always KDE.
you can not use the two great desktop ENV at same time.
So you must choose one.
I choose KDE, and never use anything related to GNOME.
never use xmms to play music(only because it like winamp?!)

remove gtk+ from your system, if you need gimp-1.3.x, keep gtk2,
otherwise, remove it too, remove anything related to g*, and you will find that KDE can do anything.
We have no compatable problem.


By cjacker at Sat, 2003/11/08 - 6:00am

> you can not use the two great desktop ENV at same time.

You actually can run both environments at the same time. Do you know you can have more than one X server running? Right now, I have KDE 3.1 on :0.0 and KDE CVS on :142857.0. So, technically, you can run GNOME and KDE at the same time.

For the XMMS part, amaroK is just "better". KDE solutions are generally better (and better integrated) than GTK+ ones, so I agree with you in this point.

However, I don't understand why this relates to a common media framework, what is indeed a very good idea.


By Henrique Pinto at Sun, 2003/11/09 - 6:00am

If KDE won't move to Gstreamer (I really think a common MM framework is a benefit for both desktops).. How about at least adopting MAS as the sound server instead of Artsd?

Maybe we can convince the Gnome folk to use MAS as well, and at least we would have a common Sound Server!

Please look into interoperability for USERS!
PLEASE!


By Guest at Thu, 2003/11/27 - 6:00am

So what you're saying is... if KDE isn't prepared to move to a new mm framework (GStreamer), then we should instead move to a different new mm framework (MAS)?


By Stephen Douglas at Thu, 2003/11/27 - 6:00am

Pages